Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.api.webcommon30
Interface SessionConfigType<T>

All Superinterfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>

All Known Implementing Classes:
  SessionConfigTypeImpl

    public interface SessionConfigType<T>

extends org.jboss.shrinkwrap.descriptor.api.Child<T>

This interface defines the contract for the `session-configType` xsd type

Original Documentation:

The session-configType defines the session parameters
for this web application.
Used in: web-app

Since:
  Generation date :2011-07-19T22:55:02.759+02:00
Author:
  Ralf Battenfeld

Method Summary
`CookieConfigType<SessionConfigType<T>>` | `cookieConfig()` If not already created, a new `cookie-config` element will be created and returned.
`java.lang.Integer` | `getSessionTimeout()` Returns the `session-timeout` element
`TrackingModeType` | `getTrackingMode()` Returns the `tracking-mode` element
`java.lang.String` | `getTrackingModeAsString()` Returns the `tracking-mode` element
`SessionConfigType<T>` | `removeCookieConfig()` Removes the `cookie-config` element
`SessionConfigType<T>` | `removeSessionTimeout()` Removes the `session-timeout` element
`SessionConfigType<T>` | `setSessionTimeout(java.lang.Integer sessionTimeout)` If not already created, a new `session-timeout` element with the given value will be created.
`SessionConfigType<T>` | `setTrackingMode(java.lang.String trackingMode)` If not already created, a new `tracking-mode` element with the given value will be created.
`SessionConfigType<T>` | `setTrackingMode(TrackingModeType trackingMode)` If not already created, a new `tracking-mode` element with the given value will be created.

Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.Child
`up`

Method Detail

### setSessionTimeout

    SessionConfigType<T> setSessionTimeout(java.lang.Integer sessionTimeout)

  If not already created, a new `session-timeout` element with the given value will be created. Otherwise, the existing `session-timeout` element will be updated with the given value.

  Returns:
    the current instance of `SessionConfigType`

### removeSessionTimeout

    SessionConfigType<T> removeSessionTimeout()

  Removes the `session-timeout` element

  Returns:
    the current instance of `SessionConfigType`

### getSessionTimeout

    java.lang.Integer getSessionTimeout()

  Returns the `session-timeout` element

  Returns:
    the node defined for the element `session-timeout`

### removeCookieConfig

    SessionConfigType<T> removeCookieConfig()

  Removes the `cookie-config` element

  Returns:
    the current instance of `SessionConfigType`

### cookieConfig

    CookieConfigType<SessionConfigType<T>> cookieConfig()

  If not already created, a new `cookie-config` element will be created and returned. Otherwise, the existing `cookie-config` element will be returned.

  Returns:
    the node defined for the element `cookie-config`

### setTrackingMode

    SessionConfigType<T> setTrackingMode(TrackingModeType trackingMode)

  If not already created, a new `tracking-mode` element with the given value will be created. Otherwise, the existing `tracking-mode` element will be updated with the given value.

  Returns:
    the current instance of `SessionConfigType`

### setTrackingMode

    SessionConfigType<T> setTrackingMode(java.lang.String trackingMode)

  If not already created, a new `tracking-mode` element with the given value will be created. Otherwise, the existing `tracking-mode` element will be updated with the given value.

  Returns:
    the current instance of `SessionConfigType`

### getTrackingMode

    TrackingModeType getTrackingMode()

  Returns the `tracking-mode` element

  Returns:
    the node defined for the element `tracking-mode`

### getTrackingModeAsString

    java.lang.String getTrackingModeAsString()

  Returns the `tracking-mode` element

  Returns:
    the node defined for the element `tracking-mode`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD